IRC Logs for #crux Sunday, 2019-06-23

*** junland has joined #crux00:01
*** brett-soric has joined #crux02:41
*** _________mavric6 has quit IRC02:47
*** _________mavric6 has joined #crux02:48
*** tilman_ has joined #crux02:50
*** brett-soric has left #crux ()03:29
*** zimmer_Dl has quit IRC05:54
*** t58 has joined #crux06:19
*** heroux has joined #crux06:59
*** obarun has left #crux ()08:30
*** obarun has joined #crux09:27
*** Thom1 has joined #crux09:40
Thom1hi09:40
*** zimmer_Dl has joined #crux10:03
*** zimmer_Dl has quit IRC10:34
*** zimmer_Dl has joined #crux10:55
*** vejetaryenvampir has joined #crux11:31
Thom1I boot crux-3.5 with the iso, I want to use cryptsetup but every command I use failed: "Command exited with code -1: wrong or missing arguments"12:33
Thom1I use the same commands with same cryptsetup version on sysrescuecd successfully12:33
TimB_I think there should be cryptsetup.static or something, but it is not officially supported as far as I know12:34
Thom1cryptsetup.static also failed12:35
TimB_no idea then12:35
Thom1ok, thanks :)12:36
frinnstThom1: what's the actual command you use?12:38
frinnstjust guessing here - i dont really use luks myself - difference in userspace version might have deprecated some commands?12:38
frinnstdaily obligatory rant: fuck pollen12:39
Thom1frinnst, "cryptsetup luksFormat /dev/vda2" for example, or "cryptsetup luksOpen /dev/vda2 luksvda2"12:40
frinnstyeah that looks ok :-)12:42
frinnstdm_crypt loaded?12:42
Thom1yes12:45
cruxbot[opt.git/3.4]: subversion: fix build with apr 1.7, closes FS#174412:51
cruxbot[opt.git/3.4]: nfs-utils: update to 2.4.112:51
cruxbot[opt.git/3.4]: whois: update to 5.4.312:51
cruxbot[opt.git/3.4]: stunnel: update to 5.5512:51
cruxbot[opt.git/3.4]: scite: update to 4.1.712:51
cruxbot[opt.git/3.4]: nsd: update to 4.2.012:51
cruxbot[opt.git/3.4]: nano: update to 4.312:51
cruxbot[opt.git/3.4]: mutt: update to 1.12.112:51
cruxbot[opt.git/3.4]: mc: update to 4.8.2312:51
cruxbot[opt.git/3.4]: unbound: update to 1.9.212:51
cruxbot[opt.git/3.4]: libunbound: update to 1.9.212:51
cruxbot[opt.git/3.4]: fuse3: update to 3.6.112:51
cruxbot[opt.git/3.4]: expat: update to 2.2.712:51
cruxbot[opt.git/3.4]: cups-filters: update to 1.25.012:51
cruxbot[opt.git/3.5]: Merge branch '3.4' into 3.512:51
cruxbot[opt.git/3.5]: subversion: fix build with apr 1.7, closes FS#174412:51
cruxbot[opt.git/3.5]: nfs-utils: update to 2.4.112:51
cruxbot[opt.git/3.5]: whois: update to 5.4.312:51
cruxbot[opt.git/3.5]: stunnel: update to 5.5512:51
cruxbot[opt.git/3.5]: scite: update to 4.1.712:51
cruxbot[opt.git/3.5]: nsd: update to 4.2.012:51
cruxbot[opt.git/3.5]: nano: update to 4.312:51
cruxbot[opt.git/3.5]: mutt: update to 1.12.112:51
cruxbot[opt.git/3.5]: mc: update to 4.8.2312:51
cruxbot[opt.git/3.5]: unbound: update to 1.9.212:51
cruxbot[opt.git/3.5]: libunbound: update to 1.9.212:51
cruxbot[opt.git/3.5]: fuse3: update to 3.6.112:51
cruxbot[opt.git/3.5]: expat: update to 2.2.712:51
TimB_were those all?12:52
joacimhttp://dpaste.com/30ATEYZ13:00
joacimis amdgpu known to be bugged? i seem to have issues sometimes when i reboot my system13:01
joacimseems fine and stable when i do a cold boot13:01
TimB_joacim: I don't have that with my 58013:02
joacimhad it with rx 550, r9 290, and rx 58013:03
joacimmore often with the r9 29013:03
TimB_okay... sounds like there is a pattern somewhere13:03
TimB_what about your PSU?13:03
joacimshould be fine =)13:03
joacimidk. not actually tried another psu13:04
TimB_I only have that one GPU to reference..13:04
john_cephalopodaTimB_: Hm, TeXlive doesn't compile for me.13:05
TimB_my PSU was changed last year on warranty by I think BeQuiet13:05
TimB_john_cephalopoda: please post the build log so I can have a look13:05
TimB_maybe there is still a dependency missing13:05
john_cephalopodahttps://bpaste.net/raw/bd22026e016313:05
john_cephalopodaPart of the build log.13:05
TimB_are you on 3.5 yet?13:05
TimB_I think I read about you updating before.. so poppler is on 0.74 right?13:06
TimB_oh, 0.77, sorry :) didn't check13:06
john_cephalopodaYes, Poppler is the right version.13:07
john_cephalopodaAnd I am on 3.5.13:07
TimB_I try rebuilding it right now13:07
TimB_john_cephalopoda: builds fine for me13:17
TimB_have you checked for the additional deps over the official package tek__ maintains?13:17
TimB_and if it helps, I can upload that package if you want13:18
TimB_I'll try to build it in a container now... let's see whats up13:19
john_cephalopodaI got all the deps installed. Btw, one dep that is not listed but required is "zziplib".13:20
TimB_oh, you can find zziplib in my REPO I think13:20
john_cephalopodaYeah, installed it already.13:20
TimB_or not mine, j_vs repo :)13:21
john_cephalopodaAll the errors: https://bpaste.net/show/898610114f5f13:21
TimB_I am not sure about that one13:22
TimB_I'll let you know if my container build succeeds or not13:23
TimB_=======> Building '/home/pkgmk/packages/texlive#20190410-1.pkg.tar.gz' succeeded. <- outside container just finished13:24
john_cephalopodaI'll -fr poppler. Maybe that helps.13:31
TimB_ok13:32
john_cephalopodaTimB_: Oops, just realized that I was compiling the wrong version all along.13:40
TimB_=)13:40
TimB_good luck with the right one then :D13:41
john_cephalopodaTimB_: Why are there so many dependencies? What the hell does a document conversion program need avahi for?13:43
TimB_I dunno, maybe it picked that up with my desktop having it installed for libreoffice and whatnot13:43
TimB_All I cared for was a working texlive port so far ;) not polishing the crap out of it13:44
john_cephalopodaI am pretty sure that most of the packages there are optional.13:45
TimB_patches are welcome :)13:45
TimB_I ran into an at least similiar problem without zziplib in my container build - doh13:47
TimB_container build fails too :^ interesting13:51
john_cephalopodaAnother problematic thing: texlive is a package from "opt", so it must not contain any dependencies from contrib.13:52
TimB_true, I was waiting on tek__ to get active about that tbh ;)13:53
TimB_but I'll tinker with it for a bit later.. I will have a look on what LFS lists as needed13:54
john_cephalopodaYou could try using the ./configure line from tek__'s package.13:55
john_cephalopodaYour line tells TeX to use the zziplib provided by the system, for example.13:56
TimB_uhm, I would rather want zziplib in opt or maintain my own overlay (as always) ¯\_(ツ)_/¯13:58
TimB_did it at least build for you after all?13:59
john_cephalopodaStill building.13:59
john_cephalopodaTakes a bit.13:59
TimB_k, let me know13:59
jaegerjoacim: I've not seen that with either of my RX580s, for what it's worth14:01
joacimmakes me wonder if my motherboard is bugged14:09
joacimit was very stable until i upgraded the firmware last year14:10
jaeger:(14:10
john_cephalopodaStill doesn't build...14:12
jaegerjoacim: do you have enough pcie slots and room in your case to try it in a different slot?14:20
*** zimmer_Dl has quit IRC14:31
*** zimmer_Dl has joined #crux14:32
jaegerwhich motherboard is it? I don't recall14:34
TimB_john_cephalopoda: haven't had a chance to dig much deeper, I'll let you know14:35
TimB_I suspect some dep is missing from that array still, maybe the config line might help you14:35
*** jue has joined #crux15:07
john_cephalopodaTimB_: But if a dep was missing, ./configure should warn me about that. But it doesn't.15:21
cruxbot[contrib.git/3.5]: rw: removing port from repository15:23
cruxbot[contrib.git/3.5]: fluidsynth: 2.0.4 -> 2.0.515:29
TimB_john_cephalopoda: had one successful build with less system libs, which is not the way I want that port, but if this run in a clean container succeeds I will share it with you15:37
cruxbot[contrib.git/3.5]: geany: 1.34 -> 1.3515:42
john_cephalopodaAll my contrib repos are up-to-date!15:45
john_cephalopodas/repos/ports/g15:47
*** vejetaryenvampir has quit IRC15:58
Thom1I'm sorry for my newb question, I come from slackware and I'd like to create an initrd/initramfs file to load some modules before / is mounted, is there a way to do that please ?15:58
jaegerThom1: you would need to use a tool like mkinitramfs/mkinitrd or dracut to do so15:58
joacimjaeger: yeah i could do that. lots of room =)15:59
jaegerthey're not in the official repos currently, I believe, but you can find them at crux.nu/portdb15:59
jaegerjoacim: might be worth a try15:59
Thom1jaeger, ok thanks, I'll take a look15:59
joacimit's an x399 taichi16:00
jaegerNo problem. I don't think very many users of crux use initrd/initramfs which is why they're only in contrib repos16:00
jaegerjoacim: I have one of those as well, though currently there's an nvidia card in it. I could test one of the RX580s if needed, though16:00
john_cephalopodaThom1: I've made my own initrds before, so if you got questions I might be able to help.16:00
joacimif i cant figure out the issue, i could just do cold boots from now on16:00
joaciminstead of reboots16:01
Thom1john_cephalopoda, what tool did you use to create them ?16:01
john_cephalopodaI wrote something myself. I took busybox, compiled it statically, wrote a small init script, then cpio'd it.16:02
jaegerI have a ZFS rootfs test VM here somewhere with dracut installed; if you don't find a better one I could share that dracut port16:02
john_cephalopodaI also tried out dracut, which worked really well.16:02
Thom1ok thanks john_cephalopoda :)16:03
john_cephalopodaI think I'll move some packages from my personal repo into contrib.16:14
joacimjaeger: how many rx 580s do you have? =)16:15
jaeger216:15
jaeger1 in my ryzen mini-ITX box, 1 in my mac pro16:15
joacimsurprised you had more than one16:15
jaegerThe mac pro one is a recent-ish addition16:16
TimB_john_cephalopoda: http://sprunge.us/TFrxJv try this please16:32
TimB_dirty draft - but builds from within a clean container16:33
*** xor29ah has quit IRC16:36
*** xor29ah has joined #crux16:37
joacimhappened again... i'll try an older kernel then16:51
*** deus_ex has joined #crux16:52
*** pedja has quit IRC16:53
john_cephalopodaTimB_: Builds for me.17:01
john_cephalopodaTimB_: Some symlinks seem broken though17:05
TimB_some symlinks aren't supposed to be used on a texlive native build anyway - I never cared weeding that out17:07
john_cephalopoda/usr/bin/texlive links to /texlive, which doesn't exist.17:08
TimB_does it brake the build for you?17:08
john_cephalopodaNo, the build is fine. But the program isn't working because apparently no texlive executable is included.17:13
john_cephalopodaUh, I mean latex, not texlive.17:13
TimB_latex works fine for me with pdflatex17:14
TimB_I have no /usr/bin/texlive to begin with17:19
*** JanC has joined #crux17:41
*** t58_ has joined #crux18:39
*** t58 has quit IRC18:43
*** t58 has joined #crux22:03
*** john_cephalopoda has quit IRC23:30
*** john_cephalopoda has joined #crux23:43
joacimthink the instabilities i've experienced might just be the distro and the kernel they push out. was stable with an older kernel23:50
joacimand now with a different distro and also a different kernel, i haven't had any issues23:51
joacimhard to tell from just a few hours tho23:51

Generated by irclog2html.py 2.14.0 by Marius Gedminas - find it at mg.pov.lt!